<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\TeilnehmerInfo\SammelEMail;

class SammelEMailController extends \Kufer\Web\KuferTools\Basis\TeilnehmerInfo\SammelEMail\SammelEMailController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new SammelEMailUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new SammelEMailPresenter($pUseCaseResponse);
  }
}